CONNECT userXXXX/userXXXX@XXXX;

CREATE TABLE CLIENTES (
	NIF		VARCHAR2(10) NOT NULL,
	Nombre	VARCHAR2(20) NOT NULL,
	Direccion	VARCHAR2(20) NOT NULL,
	Sede	VARCHAR2(4) NOT NULL,
CONSTRAINT pk_clientes PRIMARY KEY (NIF) 
);
CREATE TABLE PRODUCTOS_GEN (
	Codigo		VARCHAR2(7) NOT NULL,
	Nombre		VARCHAR2(20) NOT NULL,
	Publico		VARCHAR2(6) NOT NULL,
	Categoria		VARCHAR2(15) NOT NULL,
	PrecioActual	NUMBER(10,2) NOT NULL,
	FecInicio		DATE NOT NULL,
	FecFin		DATE,
CONSTRAINT pk_productos_gen PRIMARY KEY (Codigo), 
CHECK (Publico IN ('Hombre', 'Mujer')),
CHECK (Categoria IN ('Facial', 'Corporal', 'Solares', 'Capilares', 'Maquillaje', 'Perfumes')),
CHECK (FecInicio< FecFin)
);
CREATE TABLE PRODUCTOS_FIN (
	Codigo			VARCHAR2(7) NOT NULL,
	FacturacionTotal		NUMBER(10,2) NOT NULL,
	BeneficiosTotal		NUMBER(10,2) NOT NULL, 	FacturacionMediaMensual	NUMBER(10,2) NOT NULL, 	BeneficiosMediaMensual	NUMBER(10,2) NOT NULL, CONSTRAINT pk_productos_fin PRIMARY KEY (Codigo),
CONSTRAINT fk_productos_fin_productos_gen FOREIGN KEY (Codigo) REFERENCES PRODUCTOS_GEN
);
CREATE TABLE DISTRIBUYE (
	Sede		VARCHAR2(7) NOT NULL,
	Producto	VARCHAR2(7) NOT NULL,
	Ventas	NUMBER(10,2) NOT NULL,
	FecIni	DATE NOT NULL,
	FecFin	DATE,
CONSTRAINT pk_distribuye PRIMARY KEY (Sede, Producto), 
CONSTRAINT fk_distribuye_productos_gen FOREIGN KEY (Producto) REFERENCES PRODUCTOS_GEN,
CHECK (FecIni < FecFin)
);
CREATE TABLE PEDIDOS (
	NumPedido		VARCHAR2(7) NOT NULL,
	Cliente		VARCHAR2(10) NOT NULL,
	FecPedido		DATE NOT NULL,
	DireccionEntrega	VARCHAR2(2000) NULL,
	TotalSinDto		NUMBER(10,2) NOT NULL,
	Dto			NUMBER(10,2) NOT NULL,
	TotalConDto		NUMBER(10,2) NOT NULL, 	
CONSTRAINT pk_pedidos PRIMARY KEY (NumPedido), 
CONSTRAINT fk_pedidos_clientes FOREIGN KEY (Cliente)
		REFERENCES CLIENTES
);
CREATE TABLE LINEAS_PEDIDO (
	NumPedido		VARCHAR2(7) NOT NULL,
	Producto		VARCHAR2(7) NOT NULL,
	Unidades		INTEGER NOT NULL,
	Precio		NUMBER(10,2) NOT NULL,
	Importe		NUMBER(10,2) NOT NULL,
CONSTRAINT pk_lineas_pedido PRIMARY KEY (NumPedido, Producto), 
CONSTRAINT fk_lineas_pedido_pedidos FOREIGN KEY (NumPedido) REFERENCES PEDIDOS,
CONSTRAINT fk_lineas_pedido_sur_productos FOREIGN KEY (Producto) REFERENCES PRODUCTOS_GEN
);
